--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/src/init/conf/refresh-auth Thu Feb 19 17:51:06 2009 +0000
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# This file should live in /etc/mercurial-server.
+# If your repository is laid out differently you may need to modify
+# this file.
+
+set -e
+
+if [ `whoami` != 'hg' ] ; then
+ echo "Must be run as hg user"
+ return -1
+else
+ /usr/local/lib/mercurial-server/do-refresh-auth \
+ ~hg/.ssh/authorized_keys \
+ /etc/mercurial-server/hg-ssh-wrapper \
+ /etc/mercurial-server/keys \
+ ~hg/repos/hgadmin/keys
+fi